Page MenuHomePhabricator

mediawiki.skinning.content.parsoid needs to be skinned for Minerva (incorrectly styled thumbnails, possibly other things)
Closed, ResolvedPublic

Description

This can be seen in Flow, which uses Parsoid DOM; images in Minerva should be frameless:

https://www.mediawiki.org/wiki/Topic:Tv1kjvszuucra5nc?useskin=minerva

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 26 2017, 12:15 PM
Arlolra moved this task from Backlog to Non-Parsoid Tasks on the Parsoid board.Jul 26 2017, 5:06 PM
Jdlrobson moved this task from To Triage to Needs Analysis on the Readers-Web-Backlog board.EditedJul 27 2017, 3:58 PM

Styles are coming from mediawiki.skinning.content.parsoid
We used to blank this, but someone unblanked it.

Is this module stable at this point? Can we copy and paste the rules to a Minerva skinStyle and remove the ones we do not need?

Jdlrobson renamed this task from Minerva loads Parsoid read-styles, leading to incorrectly styled thumbnails, possibly other things to mediawiki.skinning.content.parsoid needs to be skinned for Minerva (incorrectly styled thumbnails, possibly other things).Jul 27 2017, 3:59 PM

Is this module stable at this point?

I've proposed some changes to it currently in review,
https://gerrit.wikimedia.org/r/#/c/366898/
https://gerrit.wikimedia.org/r/#/c/363861/

Which of the styles are essential?
For instance, if Minerva was to blank this module - what should it keep?

Given apps use Minerva's styles (and do not use this module) and we have ambitions to use Parsoid content in the future, it may be preferential to empty this again and simply add the Parsoid selectors alongside the php parser css selectors... that's my preferences right now

Which of the styles are essential?
For instance, if Minerva was to blank this module - what should it keep?

Hard for me / us to answer ... depends on what kind of styling you depend on in Minerva.

Given apps use Minerva's styles (and do not use this module) and we have ambitions to use Parsoid content in the future, it may be preferential to empty this again and simply add the Parsoid selectors alongside the php parser css selectors... that's my preferences right now

That sounds reasonable. You can then start paring down styles that are not essential for Minerva.

Change 368306 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Blank parsoid styles, update thumbnail selectors for Parsoid content

https://gerrit.wikimedia.org/r/368306

Parsoid styles contains styles for references and images. We could split this file in two, and only load the module for references.

Change 368306 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Blank parsoid styles, update thumbnail selectors for Parsoid content

https://gerrit.wikimedia.org/r/368306

Change 369399 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Style Parsoid generated references

https://gerrit.wikimedia.org/r/369399

Change 369399 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Style Parsoid generated references

https://gerrit.wikimedia.org/r/369399

It's [http://google.com] style links

@Esanders can you expand on this with an example article and a side by side comparison. I'm still a little confused. External links section seems to render fine for me so I'm guessing I'm missing a trick somewhere.

I think that's the only remaining issue here.

Jdlrobson closed this task as Resolved.Aug 8 2017, 3:23 PM
Jdlrobson claimed this task.
Jdlrobson moved this task from Backlog to Watching on the Readers-Web-Backlog (Tracking) board.

For most part, this should be done now. I could not find any places where the following rules were used:

.mw-parser-output {
	counter-reset: mw-numbered-ext-link;
}

.mw-parser-output a[rel~='mw:ExtLink']:empty:after {
	content: '[' counter( mw-numbered-ext-link ) ']';
	counter-increment: mw-numbered-ext-link;
}

Please raise a bug for those with some replication steps to get those fixed for the Minerva skin if they are needed somewhere.